Faturalar
Fatura Olustur
Enerji devretme icin odeme faturasi olusturun
POST
/
api
/
v1
/
invoices
Fatura Olustur
curl --request POST \
--url https://api.example.com/api/v1/invoices \
--header 'Content-Type: application/json' \
--data '
{
"target_address": "<string>",
"energy_amount": 123,
"transfer_count": 123,
"bandwidth_amount": 123,
"duration": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/invoices"
payload = {
"target_address": "<string>",
"energy_amount": 123,
"transfer_count": 123,
"bandwidth_amount": 123,
"duration": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
target_address: '<string>',
energy_amount: 123,
transfer_count: 123,
bandwidth_amount: 123,
duration: '<string>'
})
};
fetch('https://api.example.com/api/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target_address' => '<string>',
'energy_amount' => 123,
'transfer_count' => 123,
'bandwidth_amount' => 123,
'duration' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/invoices"
payload := strings.NewReader("{\n \"target_address\": \"<string>\",\n \"energy_amount\": 123,\n \"transfer_count\": 123,\n \"bandwidth_amount\": 123,\n \"duration\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/invoices")
.header("Content-Type", "application/json")
.body("{\n \"target_address\": \"<string>\",\n \"energy_amount\": 123,\n \"transfer_count\": 123,\n \"bandwidth_amount\": 123,\n \"duration\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"target_address\": \"<string>\",\n \"energy_amount\": 123,\n \"transfer_count\": 123,\n \"bandwidth_amount\": 123,\n \"duration\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"invoice_id": "<string>",
"payment_address": "<string>",
"price_trx": "<string>",
"price_usdt": "<string>",
"status": "<string>",
"expires_at": "<string>"
}Fatura Olustur
Benzersiz bir yatirma adresi olusturan bir odeme faturasi yaratir. Odeme (TRX veya USDT) alindiginda, enerji otomatik olarak hedef adrese devredilir. Son kullanicilarin dogrudan odeme yaptigi entegrasyonlar icin kullanislidir — hesap bakiyesi gerektirmez.Istek govdesi
string
gerekli
Enerji alacak hedef TRON adresi
number
Enerji miktari (32.000 – 5.000.000). Bunu VEYA
transfer_count kullanin.number
USDT transfer sayisi (1 – 100). Her transfer = 65.000 enerji.
number
Kiralanacak bandwidth miktarı. İsteğe bağlı ek: enerji ve bandwidth tek faturada birleştirilebilir.
string
Bandwidth kiralama süresi:
1h veya 1d. Enerji her zaman saatliktir.Yanit
string
Benzersiz fatura tanimlayicisi
string
Benzersiz yatirma adresi — buraya TRX veya USDT gonderin
string
TRX cinsinden fiyat
string
USDT cinsinden fiyat
string
Fatura durumu:
pending, paid, delegated, expired, failedstring
ISO 8601 son kullanma zamani
Ornek
curl -X POST https://api.tronrental.com/v1/invoices \
-H "X-API-Key: your_api_key" \
-H "Content-Type: application/json" \
-d '{
"target_address": "TRecipientAddress...",
"transfer_count": 1,
"duration": "1h"
}'
Response
{
"invoice_id": 789,
"payment_address": "TPaymentAddress...",
"target_address": "TRecipientAddress...",
"energy_amount": 65000,
"duration": "1h",
"price_trx": "2.75",
"price_usdt": "0.64",
"status": "pending",
"expires_at": "2026-03-05T12:30:00Z"
}
Faturalar, odeme alinmazsa 30 dakika sonra sona erer.
Olusturulan adreste hem TRX hem de USDT odemeleri kabul edilir.
⌘I
Fatura Olustur
curl --request POST \
--url https://api.example.com/api/v1/invoices \
--header 'Content-Type: application/json' \
--data '
{
"target_address": "<string>",
"energy_amount": 123,
"transfer_count": 123,
"bandwidth_amount": 123,
"duration": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/invoices"
payload = {
"target_address": "<string>",
"energy_amount": 123,
"transfer_count": 123,
"bandwidth_amount": 123,
"duration": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
target_address: '<string>',
energy_amount: 123,
transfer_count: 123,
bandwidth_amount: 123,
duration: '<string>'
})
};
fetch('https://api.example.com/api/v1/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/invoices",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'target_address' => '<string>',
'energy_amount' => 123,
'transfer_count' => 123,
'bandwidth_amount' => 123,
'duration' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/invoices"
payload := strings.NewReader("{\n \"target_address\": \"<string>\",\n \"energy_amount\": 123,\n \"transfer_count\": 123,\n \"bandwidth_amount\": 123,\n \"duration\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.example.com/api/v1/invoices")
.header("Content-Type", "application/json")
.body("{\n \"target_address\": \"<string>\",\n \"energy_amount\": 123,\n \"transfer_count\": 123,\n \"bandwidth_amount\": 123,\n \"duration\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/invoices")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"target_address\": \"<string>\",\n \"energy_amount\": 123,\n \"transfer_count\": 123,\n \"bandwidth_amount\": 123,\n \"duration\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"invoice_id": "<string>",
"payment_address": "<string>",
"price_trx": "<string>",
"price_usdt": "<string>",
"status": "<string>",
"expires_at": "<string>"
}